# novaclient.v2.quota_classes module

class novaclient.v2.quota_classes.QuotaClassSet(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  update(*args, **kwargs)

class novaclient.v2.quota_classes.QuotaClassSetManager(api)

  Bases: `Manager`

  get(class_name)
  resource_class

    alias of `QuotaClassSet`

  update(class_name, instances=None, cores=None, ram=None, metadata_items=None, key_pairs=None, server_groups=None, server_group_members=None)

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug